import { createRouter,createWebHashHistory } from "vue-router";

// 创建路由数组
const routes = [
    {
        path:'/',
        component:()=>import('../views/Main.vue'),
        name:"main",
        children:[
            {
                path:'/',
                name:'home',
                component:()=>import('../views/home/Home.vue')
            },
            {
                path:'/postList',
                name:'postList',
                component:()=>import('../views/postList/PostList.vue')
            },
            {
                path:'/postDeils/:pid',
                name:'postDeils',
                component:()=>import('../components/PostDeils.vue')
            },
            {
                path:'/test',
                name:'test',
                component:()=>import('../components/Test.vue')
            },
            {
                path:'/bookList',
                name:'bookList',
                component:()=>import('../views/books/BookList.vue')
            },
            {
                path:'/addPost/:type',
                name:'addPost',
                // props: true,
                component:()=>import('../views/home/AddPost.vue')
            },
            {
                path:'/bookList',
                name:'bookList',
                component:()=>import('../views/books/BookList.vue')
            },
            {
                path:'/cityWide',
                name:'cityWide',
                component:()=>import('../views/city/CityWide.vue')
            },
            {
                path:'/myCener',
                name:'myCener',
                component:()=>import('../views/user/MyCener.vue'),
                children:[
                    {
                        path:'/myCener',
                        name:'myCener',
                        component:()=>import('../views/user/MyPost.vue')
                    },
                    {
                        path:'/myPost',
                        name:'myPost',
                        component:()=>import('../views/user/MyPost.vue')
                    },
                    {
                        path:'/myComment',
                        name:'myComment',
                        component:()=>import('../views/user/MyComment.vue')
                    },
                    {
                        path:'/myCollect',
                        name:'myCollect',
                        component:()=>import('../views/user/MyCollect.vue')
                    },
                    {
                        path:'/myFans',
                        name:'myFans',
                        component:()=>import('../views/user/MyFans.vue')
                    },
                    {
                        path:'/myAtten',
                        name:'myAtten',
                        component:()=>import('../views/user/MyAtten.vue')
                    },
                    {
                        path:'/upDatum',
                        name:'upDatum',
                        component:()=>import('../views/user/UpDatum.vue')
                    }
                ]
            },
            {
                path:'/myMessage',
                name:'myMessage',
                component:()=>import('../views/user/MyMessage.vue')
            },
            {
                path:'/seach',
                name:'seach',
                component:()=>import('../views/seach/Seach.vue')
            }
            ,{
                path:'/login',
                component:()=>import('../views/Login.vue'),
                name:"login",
            }
        ]
    },
    {
        path:'/login',
        component:()=>import('../views/Login.vue'),
        name:"login",
    }
]
// this.$router.replace('/login')
// 创建路由实例
const router = createRouter({
    history:createWebHashHistory(),
    routes
})

// 导出路由
export default router